'use strict';
import { Component, Input } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { tmpl } from './templates/df.group.body.pug';
var DFGroupBodyComponent = /** @class */ (function () {
    function DFGroupBodyComponent() {
        this.questions = [];
    }
    DFGroupBodyComponent.decorators = [
        { type: Component, args: [{
                    selector: 'df-group-body',
                    template: tmpl,
                },] },
    ];
    /** @nocollapse */
    DFGroupBodyComponent.ctorParameters = function () { return []; };
    DFGroupBodyComponent.propDecorators = {
        "questions": [{ type: Input },],
        "form": [{ type: Input },],
        "disabled": [{ type: Input },],
        "readmode": [{ type: Input },],
        "formErrors": [{ type: Input },],
        "formQuestions": [{ type: Input },],
        "formStyle": [{ type: Input },],
    };
    return DFGroupBodyComponent;
}());
export { DFGroupBodyComponent };
