var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { QuestionBase } from './question-base';
var AutoCompleteMultiQuestion = /** @class */ (function (_super) {
    __extends(AutoCompleteMultiQuestion, _super);
    function AutoCompleteMultiQuestion(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'autocomplete';
        _this.multiple = true;
        _this.jsonp = false;
        _this.jsonp = options.jsonp || false;
        _this.suggestions = options.suggestions;
        _this.dropdown = !!options.dropdown;
        _this.field = options.field || '';
        _this.size = options.size || 30;
        _this.urlPath = options.urlPath;
        _this.placeholder = options.placeholder;
        _this.minLengthVal = false;
        return _this;
    }
    return AutoCompleteMultiQuestion;
}(QuestionBase));
export { AutoCompleteMultiQuestion };
