var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { QuestionBase } from './question-base';
var CalendarQuestion = /** @class */ (function (_super) {
    __extends(CalendarQuestion, _super);
    function CalendarQuestion(options) {
        if (options === void 0) { options = {}; }
        var _this = _super.call(this, options) || this;
        _this.controlType = 'calendar';
        _this.showTime = !!options.showTime;
        _this.timeOnly = !!options.timeOnly;
        _this.showIcon = !!options.showIcon;
        _this.minDate = options.minDate || undefined;
        _this.maxDate = options.maxDate || undefined;
        _this.dateFormat = options.dateFormat || 'dd.mm.yy';
        _this.ngDateFormat = options.ngDateFormat || 'dd.mm.yy';
        _this.readonlyInput = options.readonlyInput || undefined;
        _this.utc = options.utc || false;
        _this.showButtonBar = options.showButtonBar || false;
        return _this;
    }
    return CalendarQuestion;
}(QuestionBase));
export { CalendarQuestion };
