'use strict';
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/Observable';
var DFCommonService = /** @class */ (function () {
    function DFCommonService() {
        this.formSource = new Subject();
        this.form$ = this.formSource.asObservable();
    }
    DFCommonService.prototype.formChanged = function (options) {
        this.formSource.next(options);
        return this;
    };
    DFCommonService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    DFCommonService.ctorParameters = function () { return []; };
    return DFCommonService;
}());
export { DFCommonService };
