'use strict';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DFCommonService } from '../services/df.common.api';
import { tmpl } from './templates/df.buttons.pug';
import { Env } from 'io-ng-util/lib/common/env';
var DFButtonsComponent = /** @class */ (function () {
    function DFButtonsComponent(env, DFCS) {
        var _this = this;
        this.env = env;
        this.DFCS = DFCS;
        this.action = new EventEmitter();
        this.buttonsPerm = [];
        this.onAction = function (action) {
            _this.DFCS.formChanged(action);
            return false;
        };
        this.getPermission = function (button) {
            return _this.buttonsPerm[button];
        };
        this.evalStr = function (str) {
            return eval(str);
        };
    }
    DFButtonsComponent.prototype.getAction = function (action) {
        this.action.emit(action);
    };
    DFButtonsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'df-buttons',
                    template: tmpl,
                },] },
    ];
    /** @nocollapse */
    DFButtonsComponent.ctorParameters = function () { return [
        { type: Env, },
        { type: DFCommonService, },
    ]; };
    DFButtonsComponent.propDecorators = {
        "action": [{ type: Output },],
        "buttons": [{ type: Input },],
        "formSpecs": [{ type: Input },],
        "form": [{ type: Input },],
    };
    return DFButtonsComponent;
}());
export { DFButtonsComponent };
