'use strict';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { tmpl } from './templates/df.fieldset.group.pug';
var DFFieldsetGroupComponent = /** @class */ (function () {
    function DFFieldsetGroupComponent() {
        this.questionGroups = [];
        this.action = new EventEmitter();
        this.questionsVisible = function (questions) {
            for (var _i = 0, questions_1 = questions; _i < questions_1.length; _i++) {
                var question = questions_1[_i];
                if (!question.hidden) {
                    return true;
                }
            }
            return false;
        };
    }
    DFFieldsetGroupComponent.prototype.getAction = function (action) {
        this.action.emit(action);
    };
    DFFieldsetGroupComponent.decorators = [
        { type: Component, args: [{
                    selector: 'df-fieldset-group',
                    template: tmpl,
                },] },
    ];
    /** @nocollapse */
    DFFieldsetGroupComponent.ctorParameters = function () { return []; };
    DFFieldsetGroupComponent.propDecorators = {
        "form": [{ type: Input },],
        "formErrors": [{ type: Input },],
        "questionGroups": [{ type: Input },],
        "formQuestions": [{ type: Input },],
        "values": [{ type: Input },],
        "formSpecs": [{ type: Input },],
        "action": [{ type: Output },],
    };
    return DFFieldsetGroupComponent;
}());
export { DFFieldsetGroupComponent };
