'use strict';
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { tmpl } from './templates/df.group.pug';
var DFGroupComponent = /** @class */ (function () {
    function DFGroupComponent() {
        this.questionGroups = [];
        this.action = new EventEmitter();
    }
    DFGroupComponent.prototype.getAction = function (action) {
        this.action.emit(action);
    };
    DFGroupComponent.decorators = [
        { type: Component, args: [{
                    selector: 'df-group',
                    template: tmpl,
                },] },
    ];
    /** @nocollapse */
    DFGroupComponent.ctorParameters = function () { return []; };
    DFGroupComponent.propDecorators = {
        "form": [{ type: Input },],
        "formErrors": [{ type: Input },],
        "questionGroups": [{ type: Input },],
        "formQuestions": [{ type: Input },],
        "values": [{ type: Input },],
        "formSpecs": [{ type: Input },],
        "action": [{ type: Output },],
    };
    return DFGroupComponent;
}());
export { DFGroupComponent };
