var QuestionGroup = /** @class */ (function () {
    function QuestionGroup(options) {
        if (options === void 0) { options = {}; }
        this.controlType = options.controlType || '';
        this.header = options.header || '';
        this.selected = !!options.selected;
        this.disabled = !!options.disabled;
        this.orientation = options.orientation;
        this.multiple = !!options.multiple;
        this.toggleable = !!options.toggleable;
        this.collapsed = !!options.collapsed;
        this.questions = options.questions || [];
        this.buttons = options.buttons || [];
        this.class = options.class || '';
        this.formClass = options.formClass || '';
        this.style = options.style;
    }
    return QuestionGroup;
}());
export { QuestionGroup };
