import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
var DFFilterService = /** @class */ (function () {
    function DFFilterService() {
        // Observable string sources
        this.filterSubject = new Subject();
    }
    Object.defineProperty(DFFilterService.prototype, "filterUpdate", {
        // Observable string streams
        get: 
        // Observable string streams
        function () {
            return this.filterSubject.asObservable();
        },
        enumerable: true,
        configurable: true
    });
    // Service message commands
    // Service message commands
    DFFilterService.prototype.updateFilter = 
    // Service message commands
    function (filter) {
        return this.filterSubject.next(filter);
    };
    DFFilterService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    DFFilterService.ctorParameters = function () { return []; };
    return DFFilterService;
}());
export { DFFilterService };
